<!doctype html>
<html>
  <head>
    <title>&{'lelang_lt.apendo_peserta'}</title>
    <link rel="stylesheet" href="#{assets '/lt17/lt17.css'/}">
    <style>
.spinner {
  margin: 10px auto;
  width: 50px;
  height: 30px;
  text-align: center;
  font-size: 10px;
}

.spinner.small {
  margin: 10px;
  width: 50px;
  height: 10px;
  text-align: center;
  font-size: 10px;
}

.spinner > div {
  background-color: #333;
  height: 100%;
  width: 6px;
  display: inline-block;
  
  -webkit-animation: stretchdelay 1.2s infinite ease-in-out;
  animation: stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.spinner .rect3 {
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

.spinner .rect4 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.spinner .rect5 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

@-webkit-keyframes stretchdelay {
  0%, 40%, 100% { -webkit-transform: scaleY(0.4) }  
  20% { -webkit-transform: scaleY(1.0) }
}

@keyframes stretchdelay {
  0%, 40%, 100% { 
    transform: scaleY(0.4);
    -webkit-transform: scaleY(0.4);
  }  20% { 
    transform: scaleY(1.0);
    -webkit-transform: scaleY(1.0);
  }
}
    </style>
</head>
<body ng-app="lt17PesertaApp" ng-hide="isHidden">
<nav class="navbar navbar-default navbar-fixed-top">
  <div class="container-fluid">
    <div class="navbar-header">
      <a class="navbar-brand">Apendo Peserta</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse" ng-controller="UserCtrl">
      <ul class="nav navbar-nav navbar-left">
        <li><a href="#" ng-click="reload()">Reload</a></li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li><a ng-bind="user.name"></a></li>
        <li><a href="#" ng-click="logout()">Logout</a></li>
      </ul>
    </div>
  </div>
</nav>
<div class="container-fluid">
  <p class="text-right"><b>${namaLpse}</b></p>
</div>
<div id="tabs" class="container-fluid" ng-controller="TabsCtrl">
  <tabset>
    <!-- Surat Penawaran -->
    <tab id="surat-penawaran-tab" select="tabSelect('surat-penawaran')" ng-show="needsSuratPenawaran">
      <tab-heading>
        Surat Penawaran <br />
      </tab-heading>
      <tab-pane id='surat-penawaran' ng-controller="SuratPenawaranCtrl">
        <div id="surat-penawaran-content" class="container-fluid">
          <p class="perihal">Kepada Yth:</p>
          <p class="perihal">${lelang?.namaPanitia + ' ' + instansi}</p>
          <p class="perihal">di</p>
          <p>Tempat</p>
          <br>
          <p class="perihal">
            Nomor  : ${no_surat_penawaran}<br>
            Perihal : Penawaran Pekerjaan ${paket?.pkt_nama}.
          </p>

          <p style="text-indent: 30px;">
            Sehubungan dengan pengumuman <b>${lelang?.pemilihan.label}</b> dengan <b>${lelang?.metode.kualifikasi.label}</b>
            dan Dokumen Pemilihan Nomor: ${noSdp} tanggal ${tanggalSdp} dan setelah kami pelajari dengan seksama Dokumen
            Pemilihan dan Berita Acara Pemberian Penjelasan (serta adendum Dokumen Pemilihan), dengan ini kami
            mengajukan penawaran untuk pekerjaan <b>${paket?.pkt_nama}</b>
            <span ng-show="needsPenawaranHarga">
                        sebesar <a href="#" ng-click="remoteTabSelect('harga')">Surat Penawaran</a>.
                    </span>
          </p>
          <p>
            Penawaran ini sudah memperhatikan ketentuan dan persyaratan yang tercantum dalam Dokumen Pemilihan
            untuk melaksanakan pekerjaan tersebut di atas.
          </p>
          <p>
          <form class="form-inline">
            Penawaran ini berlaku selama
            <a href="#" ng-click="startEdit(period)" ng-show="!edit && period >= 0"><b ng-bind="period"></b></a>
            <input class="form-control text-right" style="width:50px;" ng-show="edit" ng-model="periodTemp"/>
            <div class="btn-group">
              <button class="btn btn-default btn-sm" ng-click="confirmEdit()" ng-show="edit" ng-disabled="!periodDirty">
                <i class="glyphicon glyphicon-ok"></i>
              </button>
              <button class="btn btn-default btn-sm" ng-click="cancelEdit()" ng-show="edit">
                <i class="glyphicon glyphicon-remove"></i>
              </button>
            </div>hari kerja, sejak batas akhir pemasukan dokumen penawaran.
          </form>
          </p>
          <p>
            Sesuai dengan persyaratan pada Dokumen Pemilihan, bersama ini
            Surat Penawaran kami lampirkan
            <span ng-show="needsAdministrasiDanTeknis">
                <a href="#" ng-click="remoteTabSelect('administrasi-dan-teknis')">Persyaratan Dokumen</a>
                </span>
            <span ng-show="needsAdministrasiDanTeknis && needsPenawaranHarga">
                  dan
                </span>
            <span ng-show="needsPenawaranHarga">
                <a href="#" ng-click="remoteTabSelect('harga')">Penawaran Harga</a>.
                </span>
          </p>
          *{ <ol>
          #{list items:checklistAdm, as:'item'}
          #{if item?.checklist_master?.ckm_id!=16 && item?.checklist_master?.ckm_id!=18}
          #{if item?.chk_nama != null && item?.chk_nama != ''}
          <li>${item?.checklist_master?.ckm_nama + ' (' + item?.chk_nama + ')'},</li>
          #{/if}
          #{else}
          <li>${item?.checklist_master?.ckm_nama},</li>
          #{/else}
          #{/if}
          #{/list}
          #{list items:checklistTeknis, as:'item'}
          #{if item?.chk_nama != null && item?.chk_nama!=''}
          <li>${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw() + ' (' + item?.chk_nama?.escapeJavaScript().raw() + ')'},</li>
          #{/if}
          #{else}
          <li>${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()},</li>
          #{/else}
          #{/list}
          #{list items:checklistHarga, as:'item'}
          #{if item?.chk_nama != null && item?.chk_nama!=''}
          <li>${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw() + ' (' + item?.chk_nama?.escapeJavaScript().raw() + ')'},</li>
          #{/if}
          #{else}
          <li>${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()},</li>
          #{/else}
          #{/list}
          <li>Data Kualifikasi (Form isian elektronik atau data SIKaP).</li>
        </ol>}*

          *{<h3>${peserta?.rekanan?.rkn_nama}</h3>
          <p class="perihal">
            Perihal: Penawaran Pekerjaan dadang ${paket?.pkt_nama}
          </p>

          <p>
            Sehubungan dengan pengumuman tender yang diselenggarakan
            secara elektronik melalui <b>${namaLpse}</b> dengan kode
            tender <b>${lelang?.lls_id}</b> dan setelah kami pelajari
            dengan seksama Dokumen Pemilihan dan Berita Acara Pemberian
            Penjelasan (serta adendum Dokumen Pemilihan), dengan ini kami
            mengajukan penawaran untuk pekerjaan <b>${paket?.pkt_nama}</b>
            <span ng-show="needsPenawaranHarga">
                  sebesar yang tercantum pada <a href="#" ng-click="remoteTabSelect('harga')">Surat Penawaran</a>.
                </span>
          </p>
          <p>
            Penawaran ini sudah memperhatikan ketentuan dan persyaratan
            yang tercantum dalam Dokumen Pemilihan untuk melaksanakan
            pekerjaan tersebut di atas.
          </p>
          <p>
          <form class="form-inline">
            Penawaran ini berlaku selama
            <a href="#" ng-click="startEdit(period)" ng-show="!edit && period >= 0"><b ng-bind="period"></b></a>
            <input class="form-control text-right" style="width:50px;" ng-show="edit" ng-model="periodTemp"/>
            <div class="btn-group">
              <button class="btn btn-default btn-sm" ng-click="confirmEdit()" ng-show="edit" ng-disabled="!periodDirty">
                <i class="glyphicon glyphicon-ok"></i>
              </button>
              <button class="btn btn-default btn-sm" ng-click="cancelEdit()" ng-show="edit">
                <i class="glyphicon glyphicon-remove"></i>
              </button>
            </div>hari kalender, sejak batas akhir pemasukan dokumen penawaran (${tglPenutupan?.formatDateTime()}).
          </form>
          </p>
          <p>
            Sesuai dengan persyaratan pada Dokumen Pemilihan, bersama ini
            Surat Penawaran kami lampirkan
            <span ng-show="needsAdministrasiDanTeknis">
                <a href="#" ng-click="remoteTabSelect('administrasi-dan-teknis')">Persyaratan Dokumen</a>
                </span>
            <span ng-show="needsAdministrasiDanTeknis && needsPenawaranHarga">
                  dan
                </span>
            <span ng-show="needsPenawaranHarga">
                <a href="#" ng-click="remoteTabSelect('harga')">Penawaran Harga</a>.
                </span>
          </p>}*
          <p>
            Dengan disampaikannya Surat Penawaran ini, maka kami menyatakan sanggup dan akan tunduk pada semua ketentuan yang tercantum
            dalam Dokumen Pemilihan. Apabila dana dalam dokumen anggaran yang telah disahkan tidak tersedia atau tidak cukup tersedia dalam DIPA Tahun Anggaran, maka Pengadaan Barang/Jasa dapat
            dibatalkan dan kami tidak akan menuntut ganti rugi dalam bentuk apapun.
          </p>
          <div>
            <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}</alert>
          </div>
          <div>
            <button class="btn btn-default" ng-disabled="!dirty" ng-click="save()">Setuju</button>
          </div>
        </div>
      </tab-pane>
    </tab>

    <!-- Administrasi dan Teknis -->
    <tab id="administrasi-dan-teknis-tab" select="tabSelect('administrasi-dan-teknis')" ng-show="needsAdministrasiDanTeknis">
      <tab-heading>
        Administrasi & Teknis
      </tab-heading>
      <tab-pane id='administrasi-dan-teknis' ng-controller="AdministrasiDanTeknisCtrl">
        <div class="container-fluid">
          <div ng-show="administrasiList.length > 0">
            <h3>Administrasi</h3>
            <p>Berikut adalah daftar dokumen yang diperlukan untuk memenuhi <b>persyaratan administrasi</b>: </p>
            <table class="table table-condensed">
              <thead>
              <th>#</th>
              <th>Nama</th>
              <th>Dokumen</th>
              <th>&nbsp;</th>
              </thead>
              <tbody>
              <tr ng-repeat="administrasi in administrasiList track by $index">
                <td ng-bind="((administrasi.index = $index) + 1) + '.'"></td>
                <td ng-bind="administrasi.name"></td>
                <td>
                  <span ng-show="administrasi.files.length == 0">Belum ada yang dipilih.</span>
                  <ol ng-show="administrasi.files.length > 0">
                    <li ng-repeat="file in administrasi.files track by $index">
                      <a href="" ng-click="open(file.name)" ng-bind="file.name"></a>
                      <a class="btn btn-link btn-sm" ng-click="remove(administrasi, $index, 'administrasi', administrasi.index)">
                        <i class="glyphicon glyphicon-remove"></i>
                      </a>
                    </li>
                  </ol>
                </td>
                <td>
                  <a class="btn btn-default btn-sm" ng-click="select('administrasi', $index)" >
                    <span ng-bind="administrasi.files.length > 0 ? 'Tambah': 'Pilih'"></span>
                  </a>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
          <div ng-show="teknisList.length > 0">
            <h3>Teknis</h3>
            <p>Berikut adalah daftar dokumen yang diperlukan untuk memenuhi <b>persyaratan teknis</b>: </p>
            <table class="table table-condensed" ng-show="teknisList.length > 0">
              <thead>
              <th>#</th>
              <th>Nama</th>
              <th>Dokumen</th>
              <th>&nbsp;</th>
              </thead>
              <tbody>
              <tr ng-repeat="teknis in teknisList">
                <td ng-bind="((teknis.index = $index) + 1) + '.'"></td>
                <td ng-bind="teknis.name"></td>
                <td>
                  <span ng-show="teknis.files.length == 0">Belum ada yang dipilih.</span>
                  <ol ng-show="teknis.files.length > 0">
                    <li ng-repeat="file in teknis.files track by $index">
                      <a href="" ng-click="open(file.name)" ng-bind="file.name"></a>
                      <button class="btn btn-link btn-sm" ng-click="remove(teknis, $index, 'teknis', teknis.index)">
                        <i class="glyphicon glyphicon-remove"></i>
                      </button>
                    </li>
                  </ol>
                </td>
                <td>
                  <a class="btn btn-default btn-sm" ng-click="select('teknis', $index)" >
                    <span ng-bind="teknis.files.length > 0 ? 'Tambah': 'Pilih'"></span>
                  </a>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
          <div>
            <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}</alert>
          </div>
          <div>
            <button class="btn btn-default" ng-disabled="!dirty" ng-click="save()">Simpan</button>
          </div>
        </div>
      </tab-pane>
    </tab>

    <!-- Penawaran Harga -->
    <tab id="harga-tab" select="tabSelect('harga', true)" ng-show="needsPenawaranHarga">
      <tab-heading>
        Penawaran Harga
      </tab-heading>
      <tab-pane id='harga' ng-controller="PenawaranHargaCtrl">
        <div class="container-fluid">
          <h3>Rincian Penawaran harga</h3>
          <p>Berikut adalah ringkasan penawaran harga:</p>
          <table class="table table-condensed table-noborder">
            <tbody>
            <tr>
              <td class="col-md-4"><label>Total (termasuk Pajak)</label></td>
              <td class="col-md-4 text-right"><span ng-bind="summary.total | rupiah"></span></td>
              <td class="col-md-4">&nbsp;</td>
            </tr>
            <tr ng-show="hasAttachments">
              <td class="col-md-4">
                <label>Lampiran* (<span ng-bind="attachmentList.length || 0"></span>)</label>
                <br /><i><small>*Daftar dokumen tambahan.</small></i>
              </td>
              <td class="col-md-4 text-right">
                <a class="btn btn-default" ng-click="showAttachments=!showAttachments">
                  <span ng-bind="showAttachments ? 'Sembunyikan': (attachmentList.length > 0 ? 'Lihat' : 'Tambah')"></span> lampiran
                </a>
              </td>
              <td class="col-md-4">&nbsp;</td>
            </tr>
            </tbody>
          </table>
          <div>
            <div ng-show="showAttachments">
              <p>Berikut adalah daftar dokumen tambahan sebagai <b>lampiran</b> dari surat <b>penawaran harga</b>: </p>
              <table class="table table-condensed" ng-show="attachmentList.length > 0">
                <thead>
                <th>#</th>
                <th>Nama</th>
                <th>Dokumen</th>
                <th>&nbsp;</th>
                </thead>
                <tbody>
                <tr ng-repeat="attachment in attachmentList">
                  <td ng-bind="($index + 1) + '.'"></td>
                  <td ng-bind="attachment.name"></td>
                  <td>
                    <span ng-show="attachment.files.length == 0">Belum ada yang dipilih.</span>
                    <ol ng-show="attachment.files.length > 0">
                      <li ng-repeat="file in attachment.files track by $index">
                        <a href="" ng-click="open(file.name)" ng-bind="file.name"></a>
                        <button class="btn btn-link btn-sm" ng-click="remove(attachment, $index)">
                          <i class="glyphicon glyphicon-remove"></i>
                        </button>
                      </li>
                    </ol>
                  </td>
                  <td>
                    <a class="btn btn-default btn-sm" ng-click="select('attachment', $index)" >
                      <span ng-bind="attachment.files.length > 0 ? 'Tambah': 'Pilih'"></span>
                    </a>
                  </td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
          <p>Rincian detil penawaran harga adalah seperti pada tabel di bawah ini:</p>
        </div>
      </tab-pane>
    </tab>

    <!-- Enkripsi dan Pengiriman -->
    <tab id="enkripsi-dan-pengiriman-tab" select="tabSelect('enkripsi-dan-pengiriman')" ng-click="changeWorkspace()">
      <tab-heading>
        Enkripsi & Pengiriman
      </tab-heading>
      <tab-pane id='enkripsi-dan-pengiriman' ng-controller="EnkripsiDanPengirimanCtrl">
        <div class="container-fluid">
          <h3>Enkripsi dan Pengiriman</h3>
          <div>
            <div>
              <button class="btn btn-default" ng-click="encrypt()" ng-disabled="!readyToBeEncrypted || uploading || encrypting">Lakukan Enkripsi</button>
              <button class="btn btn-default" ng-click="upload()" ng-disabled="!readyToBeUploaded || uploading || encrypting">Kirim</button>
            </div>
            <div class="spinner" ng-show="processing || uploading || encrypting">
              <div class="rect1"></div>
              <div class="rect2"></div>
              <div class="rect3"></div>
              <div class="rect4"></div>
              <div class="rect5"></div>
            </div>
            <center ng-show="processing || uploading || encrypting"><p>Harap tunggu sebentar...</p></center>
            <p>
              <br ng-show="alerts.length > 0" />
              <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}</alert>
            </p>
            <hr />
          </div>
          <h3>Status</h3>
          <table class="table table-condensed">
            <tbody>
            <tr>
              <td class="col-sm-4"><label>Pengiriman</label></td>
              <td class="col-sm-6">
                <div ng-show="!uploading">
                  <p ng-show="status['upload'].exists">
                    Telah dikirim oleh Apendo <span ng-bind="status['upload'].lastModified"></span>.
                    <b style="color:red;">Pastikan status pengiriman di SPSE pada bagian Penawaran Anda sudah terkirim</b>
                  </p>
                  <p ng-hide="status['upload'].exists">
                    Belum dikirim.
                  </p>
                </div>
                <div ng-show="uploading">
                  <span ng-show="uploadProgressList.length == 0">Mempersiapkan pengiriman...</span>
                  <ul>
                    <li ng-repeat="progress in uploadProgressList">
                      <div ng-hide="progress.done">Mengirim <span ng-bind="progress.name | progressName"></span>&nbsp;<b><span ng-bind="progress.percent"></span> %</b></div>
                      <div ng-show="progress.done">
                        Pengiriman <span ng-bind="progress.name | progressName"></span>&nbsp;<span ng-bind="progress.success? 'berhasil.' : 'gagal.'"></span>
                      </div>
                    </li>
                  </ul>
                </div>
              </td>
              <td class="col-sm-2">&nbsp;</td>
            </tr>
            <tr ng-show="needsSuratPenawaran">
              <td class="col-sm-4"><label>Surat Penawaran</label></td>
              <td class="col-sm-6">
                      <span ng-show="status['surat-penawaran'].exists && !status['surat-penawaran'].dirty">
                        &{'lelang_lt.terakhir_disetujui'} <span ng-bind="status['surat-penawaran'].lastModified"></span>.
                      </span>
                <span ng-show="!status['surat-penawaran'].exists || status['surat-penawaran'].dirty">Belum disimpan.</span>
              </td>
              <td class="col-sm-2">&nbsp;</td>
            </tr>
            <tr ng-show="needsAdministrasiDanTeknis">
              <td class="col-sm-4"><label>Administrasi dan Teknis</label></td>
              <td class="col-sm-6">
                <p ng-show="status['administrasi-dan-teknis'].exists && !status['administrasi-dan-teknis'].dirty" >Terakhir disimpan <span ng-bind="status['administrasi-dan-teknis'].lastModified"></span>.<p>
                      <span ng-show="!status['administrasi-dan-teknis'].exists || status['administrasi-dan-teknis'].dirty">Belum disimpan.<span>
                      <div ng-show="encrypting">
                <p ng-hide="encryptionProgress['administrasi-dan-teknis'].done">
                  Proses enkripsi <b>{{ encryptionProgress['administrasi-dan-teknis'].percent || 10 }} %</b>
                </p>
                <p ng-show="encryptionProgress['administrasi-dan-teknis'].done">Proses enkripsi administrasi dan teknis
                  <span ng-bind="encryptionProgress['administrasi-dan-teknis'].success ? 'berhasil.' : 'gagal.'"></span><p>
        </div>
        <div ng-show="status['administrasi-dan-teknis'].encryption.exists && !encrypting">
          <p>Terakhir dienkripsi <span ng-bind="status['administrasi-dan-teknis'].encryption.lastModified"></span>.</p>
          <p><b>md5: </b><a href="" ng-bind="status['administrasi-dan-teknis'].encryption.md5" ng-click="open(status['administrasi-dan-teknis'].encryption.fileDirPath)"></a></p>
        </div>
        </td>
        <td class="col-sm-2">&nbsp;</td>
        </tr>
        <tr ng-show="needsPenawaranHarga">
          <td class="col-sm-4"><label>Penawaran Harga</label></td>
          <td class="col-sm-6">
            <p ng-show="status['harga'].exists && !status['harga'].dirty" >Terakhir disimpan <span ng-bind="status['harga'].lastModified"></span>.<p>
                      <span ng-show="!status['harga'].exists || status['harga'].dirty">Belum disimpan.<span>
                      <div ng-show="encrypting">
            <p ng-hide="encryptionProgress['harga'].done">
              Proses enkripsi <b>{{ encryptionProgress['harga'].percent || 10 }} %</b>
            </p>
            <p ng-show="encryptionProgress['harga'].done">Proses enkripsi harga
              <span ng-bind="encryptionProgress['harga'].success ? 'berhasil.' : 'gagal.'"></span><p>
</div>
<div ng-show="status['harga'].encryption.exists && !encrypting">
  <p>Terakhir dienkripsi <span ng-bind="status['harga'].encryption.lastModified"></span>.</p>
  <p><b>md5: </b><a href="" ng-bind="status['harga'].encryption.md5" ng-click="open(status['harga'].encryption.fileDirPath)"></a></p>
</div>
</td>
<td class="col-sm-2">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</tab-pane>
</tab>
</tabset>
<div class="container-fluid handsontable-container" ng-controller="PenawaranHargaTableCtrl">
  <div id="penawaran-harga-table"></div>
  <div>
    <br />
    <p>Setiap bilangan akan dibulatkan 2 angka di belakang koma (jika ada).</p>
    <br />
    <div>
      <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}</alert>
    </div>
    <div>
      <button class="btn btn-default" ng-click="generateXlsx()">Download Template Berkas Penawaran Harga (.xlsx)</button>
      <button class="btn btn-default" ng-click="parseXlsx()">Upload Berkas Penawaran Harga (.xlsx)</button>
    </div>
    <br />
    <div>
      <button class="btn btn-default" ng-disabled="!dirty" ng-click="save()">Simpan</button>
    </div>
  </div>
</div>
</div>
<div>
  <p>&nbsp;</p>
</div>
<div id="spamkodok-key">
  <script>
            var diTujukan = "${lelang?.namaPanitia + ' ' + instansi}";
            var lelangId = "${lelang?.lls_id}";
            var pagu = ${paket?.pkt_pagu};
            var hps  = ${paket?.pkt_hps};                   
            var lelangName = "${paket?.pkt_nama?.escapeJavaScript().raw()}";
            var lpseName = "${namaLpse?.escapeJavaScript().raw()}";
            var noSdp = "${noSdp?.escapeJavaScript().raw()}";
            var tanggalSdp = "${tanggalSdp?.escapeJavaScript().raw()}";
            var pemilihanLabel = "${lelang?.pemilihan.label?.escapeJavaScript().raw()}";
            var kualifikasiLabel = "${lelang?.metode.kualifikasi.label?.escapeJavaScript().raw()}";
            var itemized = ${lelang?.isItemized() ? 'true':'false'};
            var user = {
                id: "${peserta?.psr_id}",
                name: "${peserta?.rekanan?.rkn_nama?.escapeJavaScript().raw()}",
                username: "${peserta?.rekanan?.rkn_namauser?.escapeJavaScript().raw()}",
                address: "${peserta?.rekanan?.rkn_alamat?.escapeJavaScript().raw()}",
                email: "${peserta?.rekanan?.rkn_email?.escapeJavaScript().raw()}"
            };
            var suratPenawaran = {
                interval: ${berlaku}
            };
            var isLelangExpress = ${express};
            var isLatihan = ${latihan};
            var isPenawaranHargaTableFixed = ${rincianFixed ? 'true' : 'false'};
            var token = "${access_token}";
            var uploadUrl = "${uploadUrl}";
            var publicKeys = [
                "${keyAll != null ? keyAll.replace("\r","").replace("\n","\\\n") : ""}",
                "${keyAdmTeknis != null ? keyAdmTeknis.replace("\r","").replace("\n","\\\n") : ""}",
                "${keyHarga != null ? keyHarga.replace("\r","").replace("\n","\\\n") : ""}"
            ];
            var administrasiList = [
            #{list items:checklistAdm, as:'item'}
              #{if item?.checklist_master?.ckm_id!=16 && item?.checklist_master?.ckm_id!=18}
                #{if item?.chk_nama != null && item?.chk_nama != ''}
                    { name: "${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()}" + " (" + "${item?.chk_nama?.escapeJavaScript().raw()}" + ")" },
                #{/if}
                #{else}
                    {name : "${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()}"},
                #{/else}
              #{/if}
            #{/list}
            ];
            var teknisList = [
            #{list items:checklistTeknis, as:'item'}
              #{if item?.chk_nama != null && item?.chk_nama!=''}
                  {name: "${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()}" + " (" + "${item?.chk_nama?.escapeJavaScript().raw()}" + ")"},
              #{/if}
              #{else}
                  {name: "${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()}"},
              #{/else}
            #{/list}
            ];
            var hargaDetilList = [
            #{list items:rincianList, as:'item'}
                {
                    'name': "${item?.item != null ? item?.item?.escapeJavaScript().raw() : ""}",
                    'unit1': "${item?.unit?.escapeJavaScript().raw()}",
                    'volume1': "${item?.vol?.format("###.##")}",
                    'unit2': "${item?.unit2?.escapeJavaScript().raw()}",
                    'volume2': "${item?.vol2?.format("###.##")}",
                    'tax': "${item?.pajak?.format("###.##")}",
                    'taxAmount':'',
                    'price': '',
                    'priceTotal': '',
                    'remark': "${item?.keterangan != null ? item?.keterangan?.escapeJavaScript().raw() : ""}",
                    'id': "${item_index}"
                },
            #{/list}
            ];
            var hargaDokumenList = [
            #{list items:checklistHarga, as:'item'}
              #{if item?.chk_nama != null && item?.chk_nama!=''}
                  {name: "${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()}" + " (" + "${item?.chk_nama?.escapeJavaScript().raw()}" + ")"},
              #{/if}
              #{else}
                  {name: "${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()}"},
              #{/else}
            #{/list}
            ];
        </script>
</div>
</body>
</html>
